/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package telas;

import Conection.BancoDados;
import ModeloControle.ControlePacientes;
import java.sql.SQLException;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import javax.swing.ListSelectionModel;
import modeloMetodos.Pacientes;
import modeloMetodos.Tabela;

/**
 *
 * @author soare
 */
public class CadastroPacientes extends javax.swing.JFrame {

    BancoDados conexao = new BancoDados();
     Pacientes pac= new Pacientes();
     ControlePacientes controlpac= new ControlePacientes();
     int flag =0;
    public CadastroPacientes() {
        initComponents();
         preencherTabela("select *from pacientes order by pac_nome");
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jSlider1 = new javax.swing.JSlider();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jButtonNovo = new javax.swing.JButton();
        jButtonSalvar = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jButtonAlterar = new javax.swing.JButton();
        jButtonExcluir = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldNome = new javax.swing.JTextField();
        jTextFieldRG = new javax.swing.JTextField();
        jFormattedTextFieldCPF = new javax.swing.JFormattedTextField();
        jFormattedTextFieldNasc = new javax.swing.JFormattedTextField();
        jFormattedTextFieldTelefone = new javax.swing.JFormattedTextField();
        jPanel2 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jTextFieldEndereco = new javax.swing.JTextField();
        jTextFieldComplemento = new javax.swing.JTextField();
        jTextFieldBairro = new javax.swing.JTextField();
        jFormattedTextFieldCEP = new javax.swing.JFormattedTextField();
        jTextFieldBuscar = new javax.swing.JTextField();
        jButtonBuscar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTablePacientes = new javax.swing.JTable();
        jLabel11 = new javax.swing.JLabel();
        jTextFieldCodpac = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel2.setText("Nome:");

        jButtonNovo.setFont(new java.awt.Font("Tahoma", 1, 13)); // NOI18N
        jButtonNovo.setText("NOVO");
        jButtonNovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNovoActionPerformed(evt);
            }
        });

        jButtonSalvar.setFont(new java.awt.Font("Tahoma", 1, 13)); // NOI18N
        jButtonSalvar.setText("SALVAR");
        jButtonSalvar.setEnabled(false);
        jButtonSalvar.setMaximumSize(new java.awt.Dimension(67, 25));
        jButtonSalvar.setMinimumSize(new java.awt.Dimension(67, 25));
        jButtonSalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSalvarActionPerformed(evt);
            }
        });

        jButtonCancelar.setFont(new java.awt.Font("Tahoma", 1, 13)); // NOI18N
        jButtonCancelar.setText("CANCELAR");
        jButtonCancelar.setEnabled(false);
        jButtonCancelar.setMaximumSize(new java.awt.Dimension(67, 25));
        jButtonCancelar.setMinimumSize(new java.awt.Dimension(67, 25));
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        jButtonAlterar.setFont(new java.awt.Font("Tahoma", 1, 13)); // NOI18N
        jButtonAlterar.setText("ALTERAR");
        jButtonAlterar.setEnabled(false);
        jButtonAlterar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAlterarActionPerformed(evt);
            }
        });

        jButtonExcluir.setFont(new java.awt.Font("Tahoma", 1, 13)); // NOI18N
        jButtonExcluir.setText("EXCLUIR");
        jButtonExcluir.setEnabled(false);
        jButtonExcluir.setMaximumSize(new java.awt.Dimension(67, 25));
        jButtonExcluir.setMinimumSize(new java.awt.Dimension(67, 25));
        jButtonExcluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonExcluirActionPerformed(evt);
            }
        });

        jLabel3.setText("Data de Nascimento:");

        jLabel4.setText("RG:");

        jLabel5.setText("CPF:");

        jLabel6.setText("Telefone:");

        jTextFieldNome.setEnabled(false);

        jTextFieldRG.setEnabled(false);

        try {
            jFormattedTextFieldCPF.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###.###.###-##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextFieldCPF.setEnabled(false);

        try {
            jFormattedTextFieldNasc.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##/##/####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextFieldNasc.setEnabled(false);

        try {
            jFormattedTextFieldTelefone.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("#####-####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextFieldTelefone.setEnabled(false);

        jPanel2.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel7.setText("Endereço:");

        jLabel8.setText("CEP:");

        jLabel9.setText("Complemento:");

        jLabel10.setText("Bairro:");

        jTextFieldEndereco.setEnabled(false);

        jTextFieldComplemento.setEnabled(false);

        jTextFieldBairro.setEnabled(false);

        try {
            jFormattedTextFieldCEP.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("#####-###")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jFormattedTextFieldCEP.setEnabled(false);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextFieldEndereco, javax.swing.GroupLayout.PREFERRED_SIZE, 360, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextFieldComplemento)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 28, Short.MAX_VALUE)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel10)
                    .addComponent(jLabel8))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jTextFieldBairro, javax.swing.GroupLayout.DEFAULT_SIZE, 156, Short.MAX_VALUE)
                    .addComponent(jFormattedTextFieldCEP))
                .addGap(54, 54, 54))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jLabel8)
                    .addComponent(jTextFieldEndereco, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jFormattedTextFieldCEP, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(32, 32, 32)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel9)
                    .addComponent(jLabel10)
                    .addComponent(jTextFieldComplemento, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldBairro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(26, Short.MAX_VALUE))
        );

        jTextFieldBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldBuscarActionPerformed(evt);
            }
        });

        jButtonBuscar.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButtonBuscar.setText("Buscar");
        jButtonBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarActionPerformed(evt);
            }
        });

        jTablePacientes.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTablePacientes.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTablePacientesMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(jTablePacientes);

        jLabel11.setText("COD.:");

        jTextFieldCodpac.setEnabled(false);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jButtonExcluir, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonAlterar, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonCancelar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonSalvar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jButtonNovo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(58, 58, 58)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jTextFieldBuscar, javax.swing.GroupLayout.PREFERRED_SIZE, 336, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(38, 38, 38)
                                .addComponent(jButtonBuscar, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabel4)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jTextFieldRG, javax.swing.GroupLayout.PREFERRED_SIZE, 141, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(18, 18, 18)
                                        .addComponent(jLabel5)
                                        .addGap(18, 18, 18)
                                        .addComponent(jFormattedTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, 158, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel2)
                                            .addComponent(jLabel11))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldNome, javax.swing.GroupLayout.PREFERRED_SIZE, 339, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldCodpac, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE))))
                                .addGap(18, 18, 18)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jLabel3)
                                    .addComponent(jLabel6))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jFormattedTextFieldNasc, javax.swing.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE)
                                    .addComponent(jFormattedTextFieldTelefone)))
                            .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap(20, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addComponent(jScrollPane1)
                        .addContainerGap())))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(7, 7, 7)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel11)
                            .addComponent(jTextFieldCodpac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3)
                            .addComponent(jTextFieldNome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jFormattedTextFieldNasc, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jButtonNovo, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(19, 19, 19)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel4)
                                    .addComponent(jLabel5)
                                    .addComponent(jTextFieldRG, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jFormattedTextFieldCPF, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jFormattedTextFieldTelefone, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel6))))
                        .addGap(40, 40, 40)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldBuscar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jButtonBuscar)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addComponent(jButtonSalvar, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(25, 25, 25)
                        .addComponent(jButtonCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(33, 33, 33)
                        .addComponent(jButtonAlterar, javax.swing.GroupLayout.PREFERRED_SIZE, 61, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(28, 28, 28)
                        .addComponent(jButtonExcluir, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(14, 14, 14)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 184, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 18)); // NOI18N
        jLabel1.setText("CADASTRO DE PACIENTES");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(363, 363, 363)
                .addComponent(jLabel1)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGap(39, 39, 39)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(990, 651));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonNovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNovoActionPerformed
         flag =1;        
        jTextFieldNome.setEnabled(true);
        jFormattedTextFieldNasc.setEnabled(true);
        jTextFieldRG.setEnabled(true);
        jFormattedTextFieldCPF.setEnabled(true);
        jFormattedTextFieldTelefone.setEnabled(true);
        jTextFieldEndereco.setEnabled(true);
        jTextFieldComplemento.setEnabled(true);
        jFormattedTextFieldCEP.setEnabled(true);
        jTextFieldBairro.setEnabled(true);
        
      
        jButtonSalvar.setEnabled(true); //ativa botão de salvar
        jButtonCancelar.setEnabled(true);// ativa botão de calcelar
        jButtonAlterar.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        jTextFieldCodpac.setText("");
        jTextFieldNome.setText("");
        jFormattedTextFieldNasc.setText("");
        jTextFieldRG.setText("");
        jFormattedTextFieldCPF.setText("");
        jFormattedTextFieldTelefone.setText("");
        jTextFieldEndereco.setText("");
        jTextFieldComplemento.setText("");
        jFormattedTextFieldCEP.setText("");
        jTextFieldBairro.setText("");
        jTextFieldBuscar.setEnabled(false);
        jButtonBuscar.setEnabled(false);
    }//GEN-LAST:event_jButtonNovoActionPerformed

    private void jButtonSalvarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSalvarActionPerformed
         if(jTextFieldNome.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Nome para continuar");
            jTextFieldNome.requestFocus();
        } 
        
        else if(jFormattedTextFieldNasc.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha a DATA DE NASCIMENTO para continuar");
            jFormattedTextFieldNasc.requestFocus(); 
            
        }else if(jTextFieldRG.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o RG para continuar");
            jTextFieldRG.requestFocus(); 
            
        }else if(jFormattedTextFieldCPF.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o CPF para continuar");
            jFormattedTextFieldCPF.requestFocus();   
        }else if(jFormattedTextFieldTelefone.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o TELEFONE para continuar");
            jFormattedTextFieldTelefone.requestFocus();   
        } else if(jFormattedTextFieldCEP.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o CEP para continuar");
            jFormattedTextFieldCEP.requestFocus();   
        }
        else if(jTextFieldEndereco.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Endereço para continuar");
            jTextFieldEndereco.requestFocus(); 
        }else if(jTextFieldBairro.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "Preencha o Bairro para continuar");
            jTextFieldBairro.requestFocus();
        }else
        
        
        
        if (flag ==1){ //se for cadastrado Novo
       pac.setNomePaciente(jTextFieldNome.getText()); // valor que usuario digitou
       pac.setNasc(jFormattedTextFieldNasc.getText());
       pac.setRg(jTextFieldRG.getText());
       pac.setCpf(jFormattedTextFieldCPF.getText());
       pac.setTelefone(jFormattedTextFieldTelefone.getText());
       pac.setEndereco(jTextFieldEndereco.getText());
       pac.setCep(jFormattedTextFieldCEP.getText());
       pac.setComplemento(jTextFieldComplemento.getText());
       pac.setBairro(jTextFieldBairro.getText());
       
       controlpac.Salvar(pac);
       //depois de salvar, vai limpar os campos
        jTextFieldCodpac.setText("");
        jTextFieldNome.setText("");
        jFormattedTextFieldNasc.setText("");
        jTextFieldRG.setText("");
        jFormattedTextFieldCPF.setText("");
        jFormattedTextFieldTelefone.setText("");
        jTextFieldEndereco.setText("");
        jTextFieldComplemento.setText("");
        jFormattedTextFieldCEP.setText("");
        jTextFieldBairro.setText("");
      
      
       //volta a ficar bloqueado para o usuario até que que clique em Novo
        jTextFieldNome.setEnabled(false);
        jFormattedTextFieldNasc.setEnabled(false);
        jTextFieldRG.setEnabled(false);
        jFormattedTextFieldCPF.setEnabled(false);
        jFormattedTextFieldTelefone.setEnabled(false);
        jTextFieldEndereco.setEnabled(false);
        jTextFieldComplemento.setEnabled(false);
        jFormattedTextFieldCEP.setEnabled(false);
        jTextFieldBairro.setEnabled(false);
        jButtonSalvar.setEnabled(false);
        jButtonCancelar.setEnabled(false);
       preencherTabela("select *from pacientes order by pac_nome");
      }else{ //Se for editado
          pac.setCodPac((Integer.parseInt(jTextFieldCodpac.getText())));
          pac.setNomePaciente(jTextFieldNome.getText()); // valor que usuario digitou
          pac.setNasc(jFormattedTextFieldNasc.getText());
          pac.setRg(jTextFieldRG.getText());
          pac.setCpf(jFormattedTextFieldCPF.getText());
          pac.setTelefone(jFormattedTextFieldTelefone.getText());
          pac.setEndereco(jTextFieldEndereco.getText());
          pac.setCep(jFormattedTextFieldCEP.getText());
          pac.setComplemento(jTextFieldComplemento.getText());
          pac.setBairro(jTextFieldBairro.getText());
          controlpac.Editar(pac);
          // limpar os campos
          jTextFieldCodpac.setText("");
          jTextFieldNome.setText("");
          jFormattedTextFieldNasc.setText("");
          jTextFieldRG.setText("");
          jFormattedTextFieldCPF.setText("");
          jFormattedTextFieldTelefone.setText("");
          jTextFieldEndereco.setText("");
          jTextFieldComplemento.setText("");
          jFormattedTextFieldCEP.setText("");
          jTextFieldBairro.setText("");
          //volta a ficar bloqueado para o usuario até que que clique em Novo
           jTextFieldNome.setEnabled(false);
           jFormattedTextFieldNasc.setEnabled(false);
           jTextFieldRG.setEnabled(false);
           jFormattedTextFieldCPF.setEnabled(false);
           jFormattedTextFieldTelefone.setEnabled(false);
           jTextFieldEndereco.setEnabled(false);
           jTextFieldComplemento.setEnabled(false);
           jFormattedTextFieldCEP.setEnabled(false);
           jTextFieldBairro.setEnabled(false);
           jButtonSalvar.setEnabled(false);
           jButtonCancelar.setEnabled(false);
           jButtonNovo.setEnabled(true); // habilita o Novo
          preencherTabela("select *from pacientes order by pac_nome");
      }
    }//GEN-LAST:event_jButtonSalvarActionPerformed

    private void jButtonBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarActionPerformed
        pac.setPesquisar(jTextFieldBuscar.getText()); // o que o usuario digitar no campo vai para o metodo setPesquisa
        Pacientes model = controlpac.buscaPaciente(pac); // chamando o metodo enviando por parâmetro o que o usuario digitar
        
        jTextFieldNome.setText(model.getNomePaciente());
        jTextFieldCodpac.setText(String.valueOf(model.getCodPac()));
        jTextFieldRG.setText(model.getRg());
        jFormattedTextFieldCPF.setText(String.valueOf(model.getCpf()));
        jFormattedTextFieldTelefone.setText(String.valueOf(model.getTelefone()));
        jTextFieldEndereco.setText(model.getEndereco());
        jFormattedTextFieldCEP.setText(String.valueOf(model.getCep()));
        jTextFieldComplemento.setText(model.getComplemento());
        jTextFieldBairro.setText(model.getBairro());
        jFormattedTextFieldNasc.setText(String.valueOf(model.getNasc()));
        preencherTabela("SELECT *from paciente WHERE pac_nome like '%" +pac.getPesquisar()+ "%'");
        
        jButtonAlterar.setEnabled(true);
        jButtonExcluir.setEnabled(true);
    }//GEN-LAST:event_jButtonBuscarActionPerformed

    private void jTextFieldBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldBuscarActionPerformed
         pac.setPesquisar(jTextFieldBuscar.getText());
        Pacientes model = controlpac.buscaPaciente(pac); // enviando por parametro o que o usuario diigtou
        
        jTextFieldNome.setText(model.getNomePaciente());
        jTextFieldCodpac.setText(String.valueOf(model.getCodPac()));
        jTextFieldRG.setText(model.getRg());
        jFormattedTextFieldCPF.setText(String.valueOf(model.getCpf()));
        jFormattedTextFieldTelefone.setText(String.valueOf(model.getTelefone()));
        jTextFieldEndereco.setText(model.getEndereco());
        jFormattedTextFieldCEP.setText(String.valueOf(model.getCep()));
        jTextFieldComplemento.setText(model.getComplemento());
        jTextFieldBairro.setText(model.getBairro());
        jFormattedTextFieldNasc.setText(String.valueOf(model.getNasc()));
        
        jButtonAlterar.setEnabled(true); // habilita editar
        jButtonExcluir.setEnabled(true); // habilita excluir
    }//GEN-LAST:event_jTextFieldBuscarActionPerformed

    private void jButtonExcluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonExcluirActionPerformed
        int resposta =0; // aguardar resposta do usuario
        resposta = JOptionPane.showConfirmDialog(rootPane, "Confirma a exclusão do dado?");
        if (resposta == JOptionPane.YES_OPTION){
            pac.setCodPac(Integer.parseInt(jTextFieldCodpac.getText()));
            controlpac.Excluir(pac);
        // limpar os campos
          jTextFieldCodpac.setText("");
          jTextFieldNome.setText("");
          jFormattedTextFieldNasc.setText("");
          jTextFieldRG.setText("");
          jFormattedTextFieldCPF.setText("");
          jFormattedTextFieldTelefone.setText("");
          jTextFieldEndereco.setText("");
          jTextFieldComplemento.setText("");
          jFormattedTextFieldCEP.setText("");
          jTextFieldBairro.setText("");
          //volta a ficar bloqueado para o usuario até que que clique em Novo
           jTextFieldNome.setEnabled(false);
           jFormattedTextFieldNasc.setEnabled(false);
           jTextFieldRG.setEnabled(false);
           jFormattedTextFieldCPF.setEnabled(false);
           jFormattedTextFieldTelefone.setEnabled(false);
           jTextFieldEndereco.setEnabled(false);
           jTextFieldComplemento.setEnabled(false);
           jFormattedTextFieldCEP.setEnabled(false);
           jTextFieldBairro.setEnabled(false);
           jButtonSalvar.setEnabled(false);
           jButtonCancelar.setEnabled(false);
           jButtonAlterar.setEnabled(false);
           jButtonExcluir.setEnabled(false);
           jButtonNovo.setEnabled(true); // habilita o Novo    
          preencherTabela("select *from pacientes order by pac_nome");
        }    
    }//GEN-LAST:event_jButtonExcluirActionPerformed

    private void jButtonAlterarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAlterarActionPerformed
        flag=2;
        jTextFieldNome.setEnabled(true);
        jFormattedTextFieldNasc.setEnabled(true);
        jTextFieldRG.setEnabled(true);
        jFormattedTextFieldCPF.setEnabled(true);
        jFormattedTextFieldTelefone.setEnabled(true);
        jTextFieldEndereco.setEnabled(true);
        jTextFieldComplemento.setEnabled(true);
        jFormattedTextFieldCEP.setEnabled(true);
        jTextFieldBairro.setEnabled(true);
      
        jButtonSalvar.setEnabled(true); //ativa botão de salvar
        jButtonCancelar.setEnabled(true);// ativa botão de calcelar
        jButtonAlterar.setEnabled(false);
        jButtonNovo.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        preencherTabela("select *from pacientes order by pac_nome");
    }//GEN-LAST:event_jButtonAlterarActionPerformed

    private void jTablePacientesMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTablePacientesMouseClicked
        // ao clicar em um dado da tabel, irá preencher os dados e habilitar opção de Editar e Excluir 
        String nome_paciente =(String)jTablePacientes.getValueAt(jTablePacientes.getSelectedRow(), 1); 
       conexao.conexao();
       conexao.executaSql("select *from pacientes where pac_nome ='"+ nome_paciente+"'");
        try {
         
             conexao.rs.first();
            jTextFieldCodpac.setText(String.valueOf(conexao.rs.getInt("cod_paciente")));
            jTextFieldNome.setText(conexao.rs.getString("pac_nome"));
            jTextFieldRG.setText(conexao.rs.getString("pac_rg"));
            jFormattedTextFieldCPF.setText(conexao.rs.getString("pac_cpf"));
            jFormattedTextFieldTelefone.setText(conexao.rs.getString("pac_telefone"));
            jTextFieldEndereco.setText(conexao.rs.getString("pac_endereco"));
            jFormattedTextFieldCEP.setText(conexao.rs.getString("pac_cep"));
            jTextFieldComplemento.setText(conexao.rs.getString("pac_comple"));
            jTextFieldBairro.setText(conexao.rs.getString("pac_bairro"));
            jFormattedTextFieldNasc.setText(conexao.rs.getString("pac_nasc"));
           
            
            jButtonAlterar.setEnabled(true);
            jButtonExcluir.setEnabled(true);
          
           
        } catch (SQLException ex) {
           JOptionPane.showMessageDialog(null,"Erro ao selecionar os dados"+ ex);
        }
       
       
       conexao.desconecta();
    }//GEN-LAST:event_jTablePacientesMouseClicked

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
       //bloquear os campos
           jTextFieldCodpac.setEnabled(false);
           jTextFieldNome.setEnabled(false);
           jFormattedTextFieldNasc.setEnabled(false);
           jTextFieldRG.setEnabled(false);
           jFormattedTextFieldCPF.setEnabled(false);
           jFormattedTextFieldTelefone.setEnabled(false);
           jTextFieldEndereco.setEnabled(false);
           jTextFieldComplemento.setEnabled(false);
           jFormattedTextFieldCEP.setEnabled(false);
           jTextFieldBairro.setEnabled(false);
       // habilita o botão de Novo
        jButtonNovo.setEnabled(true); //ativa botão de novo
        jButtonAlterar.setEnabled(false);
        jButtonExcluir.setEnabled(false);
        jButtonSalvar.setEnabled(false);
        jButtonCancelar.setEnabled(false);
        jTextFieldBuscar.setEnabled(true);
        jButtonBuscar.setEnabled(true);
        jTextFieldCodpac.setText("");
        jTextFieldNome.setText("");
        jFormattedTextFieldNasc.setText("");
        jTextFieldRG.setText("");
        jFormattedTextFieldCPF.setText("");
        jFormattedTextFieldTelefone.setText("");
        jTextFieldEndereco.setText("");
        jTextFieldComplemento.setText("");
        jFormattedTextFieldCEP.setText("");
        jTextFieldBairro.setText("");
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    public void preencherTabela(String Sql){
        ArrayList dados = new ArrayList();   
        String [] colunas = new String[]{"COD","Nome","RG","CPF","Telefone","Endereço", "Bairro","Data de Nascimento"};
        conexao.conexao();
        conexao.executaSql(Sql);
        
        try{
            conexao.rs.first();
            do{
                dados.add(new Object[]{conexao.rs.getInt("cod_paciente"),conexao.rs.getString("pac_nome"),conexao.rs.getString("pac_rg"),conexao.rs.getString("pac_cpf"),conexao.rs.getString("pac_telefone"),conexao.rs.getString("pac_endereco"),conexao.rs.getString("pac_bairro"), conexao.rs.getString("pac_nasc")});
                
                
            }while(conexao.rs.next()); //enquanto houver dados irá percorrer os dados
        
    }catch(SQLException ex){
            JOptionPane.showMessageDialog(rootPane, "Paciente não cadastrado. Realizar Nova Busca");
            //JOptionPane.showMessageDialog(rootPane, "Erro ao preencher lista.Buscar novamente");
            }
        Tabela modelo = new Tabela(dados, colunas);
        jTablePacientes.setModel(modelo);
        //coluna ID
        jTablePacientes.getColumnModel().getColumn(0).setPreferredWidth(30);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(0).setResizable(false); // não pode alterar tamanho da tabela
        //coluna nome
        jTablePacientes.getColumnModel().getColumn(1).setPreferredWidth(180);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(1).setResizable(false); // não pode alterar tamanho da tabela        
        //coluna rg
        jTablePacientes.getColumnModel().getColumn(2).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(2).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna cpf
        jTablePacientes.getColumnModel().getColumn(3).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(3).setResizable(false); // não pode alterar tamanho da tabela 
        //coluna Telefone
        jTablePacientes.getColumnModel().getColumn(4).setPreferredWidth(100);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(4).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna Endereço
        jTablePacientes.getColumnModel().getColumn(5).setPreferredWidth(140);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(5).setResizable(false); // não pode alterar tamanho da tabela   
        //coluna bairro
        jTablePacientes.getColumnModel().getColumn(6).setPreferredWidth(80);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(6).setResizable(false); // não pode alterar tamanho da tabela  
        //coluna data de nascimento
        jTablePacientes.getColumnModel().getColumn(7).setPreferredWidth(80);//  tamanho da coluna
        jTablePacientes.getColumnModel().getColumn(7).setResizable(false); // não pode alterar tamanho da tabela   
        
        jTablePacientes.getTableHeader().setReorderingAllowed(false);// não pode reordenar
        jTablePacientes.setAutoResizeMode(jTablePacientes.AUTO_RESIZE_OFF);//não pode redimensionar
        jTablePacientes.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);//seleciona um item por vez
        conexao.desconecta();
        
    }        
    

    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(CadastroPacientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(CadastroPacientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(CadastroPacientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(CadastroPacientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new CadastroPacientes().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAlterar;
    private javax.swing.JButton jButtonBuscar;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonExcluir;
    private javax.swing.JButton jButtonNovo;
    private javax.swing.JButton jButtonSalvar;
    private javax.swing.JFormattedTextField jFormattedTextFieldCEP;
    private javax.swing.JFormattedTextField jFormattedTextFieldCPF;
    private javax.swing.JFormattedTextField jFormattedTextFieldNasc;
    private javax.swing.JFormattedTextField jFormattedTextFieldTelefone;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSlider jSlider1;
    private javax.swing.JTable jTablePacientes;
    private javax.swing.JTextField jTextFieldBairro;
    private javax.swing.JTextField jTextFieldBuscar;
    private javax.swing.JTextField jTextFieldCodpac;
    private javax.swing.JTextField jTextFieldComplemento;
    private javax.swing.JTextField jTextFieldEndereco;
    private javax.swing.JTextField jTextFieldNome;
    private javax.swing.JTextField jTextFieldRG;
    // End of variables declaration//GEN-END:variables
}
